Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228497 - Review Request: hunspell-sk - Slovak hunspell dictionaries
Summary: Review Request: hunspell-sk - Slovak hunspell dictionaries
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-02-13 12:13 UTC by Caolan McNamara
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-15 14:50:33 UTC
wolfy: fedora-review+


Attachments (Terms of Use)

Description Caolan McNamara 2007-02-13 12:13:23 UTC
Spec URL: http://people.redhat.com/caolanm/hunspell/hunspell-sk.spec
SRPM URL: http://people.redhat.com/caolanm/hunspell/hunspell-sk-0.20050228-1.src.rpm
Description: Slovak hunspell dictionaries


Similar to 227811

Comment 1 manuel wolfshant 2007-02-14 11:20:22 UTC
%upstreamid is wrong (20050228 versus 20050911). However it is not used so no
harm done

GOOD

- package meets naming guidelines
- package meets packaging guidelines 
- spec file legible, in am. english
- source matches upstream , sha1sum 
a5a703b2da40a16db166718372a2a6842f6671e2  sk_SK.zip
- the package builds in mock for devel/x86_64, generates a noarch (which is
consistent with the fact that basically it includes only 3 text files)
- the license GPL stated in the tag is the same as the web site says and is
also included in the package
- there are only 2 files (word lists) + a short doc with instructions and
license clearance, so no need for -doc and no .la, .pc, static files
- no missing BR
- no locales
- not relocatable
- owns all files/directories that it creates, does not take ownership of other
files/dirs
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- rpmlint output is silent
- code, not content
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED

Comment 2 Caolan McNamara 2007-02-14 11:36:59 UTC
wiki updated to match .zip and srpm updated to match that

Comment 3 manuel wolfshant 2007-02-14 12:08:22 UTC
Please add %{dist} to release tag before importing

Comment 4 Caolan McNamara 2007-02-15 14:50:33 UTC
 27645 (hunspell-sk): Build on target fedora-development-extras succeeded.


Note You need to log in before you can comment on or make changes to this bug.